%global rpm_macros_dir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Name:            polkit-qt-1
Version:         5.0.0.2
Release:         1%{?dist}
Summary:         Qt bindings for PolicyKit

License:         GPLv2+
URL:             https://api.kde.org/kdesupport-api/polkit-qt-1-apidocs/
Source0:         http://download.kde.org/stable/%{name}/polkit-qt-1-%{version}.tar.gz
Source1:         macros.polkit-qt

Patch1000:         uniontech001_add_set_cancel_method.patch
Patch1001:         uniontech002_memcheck_fix.patch
Patch1002:         upstream_Do_not_use_static_instancebus.patch
Patch1003:         upstream_fix-build-with-Qt4-which-doesn-t-have-QStringLiteral.patch

BuildRequires:   cmake
BuildRequires:   gcc-c++
BuildRequires:   doxygen
BuildRequires:   patch
BuildRequires:   pkgconfig(polkit-agent-1) pkgconfig(polkit-gobject-1)
BuildRequires:   pkgconfig(Qt5DBus) pkgconfig(Qt5Gui) pkgconfig(Qt5Widgets)
# when/if building docs
#BuildRequires:  doxygen
# when/if building examples too
#pkgconfig(Qt5Xml)

%description
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package doc
Summary: Doxygen documentation for the PolkitQt API
Obsoletes: polkit-qt-doc < %{version}-%{release}
Provides:  polkit-qt-doc = %{version}-%{release}
BuildArch: noarch
%description doc
%{summary}.

%package -n polkit-qt5-1
Summary: PolicyKit Qt5 bindings
Obsoletes: polkit-qt5 < 0.112.0-3
Provides:  polkit-qt5 = %{version}-%{release}
%description -n polkit-qt5-1
Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

%package -n polkit-qt5-1-devel
Summary: Development files for PolicyKit Qt5 bindings
Obsoletes: polkit-qt5-devel < 0.112.0-3
Provides:  polkit-qt5-devel = %{version}-%{release}
Requires: polkit-qt5-1%{?_isa} = %{version}-%{release}
%description -n polkit-qt5-1-devel
%{summary}.

%prep
%autosetup -n %{name}-%{version} -p1
#patch -p1 < rpm/uniontech001_add_set_cancel_method.patch
#patch -p1 < rpm/uniontech002_memcheck_fix.patch
#patch -p1 < rpm/upstream_Do_not_use_static_instancebus.patch
#patch -p1 < rpm/upstream_fix-build-with-Qt4-which-doesn-t-have-QStringLiteral.patch

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DBUILD_EXAMPLES:BOOL=OFF
popd
%make_build -C %{_target_platform}

## build docs, needswork
#doxygen Mainpage.dox
# Remove installdox file - it is not necessary here
#rm -fv html/installdox


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
install -p -m644 -D %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.polkit-qt

#files doc
#doc html/*

%ldconfig_scriptlets -n polkit-qt5-1

%files -n polkit-qt5-1
%doc AUTHORS README
%license COPYING
%{_libdir}/libpolkit-qt5-core-1.so.1*
%{_libdir}/libpolkit-qt5-gui-1.so.1*
%{_libdir}/libpolkit-qt5-agent-1.so.1*

%files -n polkit-qt5-1-devel
%{rpm_macros_dir}/macros.polkit-qt
%{_includedir}/polkit-qt5-1/
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/


%changelog
* Mon Apr 12 2021 uoser <uoser@uniontech.com> - 5.0.0.2-1
- Update to 5.0.0.2

